<div class="title">
	<h5>{#mod_name#}</h5>
</div>
<div class="breadCrumbHolder module">
	<div class="breadCrumb module">
		<ul>
			<li class="firstB">
				<a href="index.php" title="{#MAIN_PAGE#}">{#MAIN_PAGE#}</a>
			</li>
			<li>
				<a href="index.php?do=modules&amp;cp={$sess}">{#MODULES_SUB_TITLE#}</a>
			</li>
			<li>
				<a href="index.php?do=modules&amp;action=modedit&amp;mod=import&amp;moduleaction=1&amp;cp={$sess}">{#mod_name#}</a>
			</li>
			<li>
				<strong class="code">{#imports#}</strong>
			</li>
		</ul>
	</div>
</div>
<div class="widget first">
	<div class="head">
		<h5 class="iFrames">{#imports#}</h5>
		<div class="num">
			<a class="basicNum" href="index.php?do=modules&amp;action=modedit&amp;mod=import&amp;moduleaction=edit&amp;cp={$sess}">{#import_add#}</a>
		</div>
	</div>
	<table cellpadding="0" cellspacing="0" width="100%" class="tableStatic" id="importsTable">
		<colgroup>
			<col width="1" />
			<col width="*" />
			<col width="150" />
			<col width="80" />
			<col width="140" />
			<col width="140" />
			<col width="1" />
			<col width="1" />
			<col width="1" />
			<col width="1" />
		</colgroup>
		<thead>
			<tr class="noborder">
				<td>ID</td>
				<td>{#name#}</td>
				<td>{#rub_name#}</td>
				<td>{#parser#}</td>
				<td>{#time_edited#}</td>
				<td>{#time_run#}</td>
				<td colspan="4">{#actions#}</td>
			</tr>
		</thead>
		<tbody>
			{foreach from=$imports item=import}
			<tr>
				<td>{$import.id}</td>
				<td>
					<a class="topDir" href="index.php?do=modules&amp;action=modedit&amp;mod=import&amp;moduleaction=edit&amp;import_id={$import.id}&amp;cp={$sess}" title="{#edit#}">
						<strong>{$import.name|escape|stripslashes}</strong>
					</a>
				</td>
				<td align="center">{$import.rub_title|escape|stripslashes}</td>
				<td align="center">{$import.parser|escape|stripslashes}</td>
				<td align="center" class="date_text nowrap">{$import.time_edited|date_format:$TIME_FORMAT|pretty_date}</td>
				<td align="center" class="date_text nowrap">{if $import.time_run}{$import.time_run|date_format:$TIME_FORMAT|pretty_date}{/if}</td>
				<td align="center">
					<a class="topDir icon_sprite ico_start" title="{#run#}" href="index.php?do=modules&amp;action=modedit&amp;mod=import&amp;moduleaction=run&amp;import_id={$import.id}&amp;cp={$sess}"></a>
				</td>
				<td align="center">
					<a class="topDir icon_sprite ico_edit" title="{#edit#}" href="index.php?do=modules&amp;action=modedit&amp;mod=import&amp;moduleaction=edit&amp;import_id={$import.id}&amp;cp={$sess}"></a>
				</td>
				<td align="center">
					<a class="topDir icon_sprite ico_copy" title="{#copy#}" href="index.php?do=modules&amp;action=modedit&amp;mod=import&amp;moduleaction=copy&amp;import_id={$import.id}&amp;cp={$sess}"></a>
				</td>
				<td align="center">
					<a class="topleftDir icon_sprite ico_delete ConfirmDelete" dir="{#delete_t#}" name="{#delete_m#}" title="{#delete#}" href="index.php?do=modules&amp;action=modedit&amp;mod=import&amp;moduleaction=delete&amp;import_id={$import.id}&amp;cp={$sess}"></a>
				</td>
			</tr>
			{/foreach}
		</tbody>
	</table>
	{if !$imports}
	<div class="rowElem">
		<ul class="messages">
			<li class="highlight yellow">{#noimports#}</li>
		</ul>
	</div>
	{/if}
</div>
{if $page_nav}
<div class="pagination">
	<ul class="pages">
		{$page_nav}
	</ul>
</div>
{/if}
